%define upstream_name    Test-Warn
%define upstream_version 0.24

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl extension to test methods for warnings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 1.220.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Sub::Uplevel) >= 0.120.0
BuildRequires: perl(Test::Builder) >= 0.130.0
BuildRequires: perl(Test::Builder::Tester) >= 1.20.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Tree::DAG_Node) >= 1.20.0
Requires:   perl(Tree::DAG_Node)
%description 
This module provides a few convenience methods for testing warning based code.

If you are not already familiar with the Test::More manpage now would be the
time to go take a look.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%check
%make test

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.240.0-2.mga3
+ Revision: 373911
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.240.0-1.mga3
+ Revision: 255530
- update to 0.24

* Sat Feb 26 2011 jquelin <jquelin> 0.230.0-1.mga1
+ Revision: 60449
- update buildrequires:
- update to 0.23

* Fri Jan 21 2011 jquelin <jquelin> 0.220.0-2.mga1
+ Revision: 28839
- mageia rebuild
- cleaning spec file
- imported package perl-Test-Warn

